Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class TripleProcessor

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.TripleProcessor

    public class TripleProcessor

extends Object

Constructor Summary
`TripleProcessor(OWLModel owlModel)`

Method Summary
`void` | `addUndefTriple(com.hp.hpl.jena.rdf.arp.AResource subj, com.hp.hpl.jena.rdf.arp.AResource pred, com.hp.hpl.jena.rdf.arp.AResource obj, String undefName, boolean alreadyInUndef, TripleStore ts)`
`protected void` | `checkUndefinedResources(String uri)`
`void` | `createUntypedResources()`
`void` | `doPostProcessing()`
`GlobalParserCache` | `getGlobalParserCache()`
`OWLModel` | `getOWLModel()`
`boolean` | `processTriple(com.hp.hpl.jena.rdf.arp.AResource subj, com.hp.hpl.jena.rdf.arp.AResource pred, com.hp.hpl.jena.rdf.arp.ALiteral lit, TripleStore ts, boolean alreadyInUndef)`
`boolean` | `processTriple(com.hp.hpl.jena.rdf.arp.AResource subj, com.hp.hpl.jena.rdf.arp.AResource pred, com.hp.hpl.jena.rdf.arp.AResource obj, TripleStore ts, boolean alreadyInUndef)`
`void` | `processUndefTriples()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TripleProcessor

    public TripleProcessor(OWLModel owlModel)

Method Detail

### processTriple

    public boolean processTriple(com.hp.hpl.jena.rdf.arp.AResource subj,
                                 com.hp.hpl.jena.rdf.arp.AResource pred,
                                 com.hp.hpl.jena.rdf.arp.AResource obj,
                                 TripleStore ts,
                                 boolean alreadyInUndef)

### processTriple

    public boolean processTriple(com.hp.hpl.jena.rdf.arp.AResource subj,
                                 com.hp.hpl.jena.rdf.arp.AResource pred,
                                 com.hp.hpl.jena.rdf.arp.ALiteral lit,
                                 TripleStore ts,
                                 boolean alreadyInUndef)

### getOWLModel

    public OWLModel getOWLModel()

### addUndefTriple

    public void addUndefTriple(com.hp.hpl.jena.rdf.arp.AResource subj,
                               com.hp.hpl.jena.rdf.arp.AResource pred,
                               com.hp.hpl.jena.rdf.arp.AResource obj,
                               String undefName,
                               boolean alreadyInUndef,
                               TripleStore ts)

### checkUndefinedResources

    protected void checkUndefinedResources(String uri)

### getGlobalParserCache

    public GlobalParserCache getGlobalParserCache()

### doPostProcessing

    public void doPostProcessing()

### processUndefTriples

    public void processUndefTriples()

### createUntypedResources

    public void createUntypedResources()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.